Package net.shibboleth.saml.profile.config

# Class BasicSAMLArtifactConfiguration

java.lang.Object
net.shibboleth.saml.profile.config.BasicSAMLArtifactConfiguration

All Implemented Interfaces:
  `SAMLArtifactConfiguration`, `Component`, `IdentifiableComponent`, `IdentifiedComponent`

public class BasicSAMLArtifactConfiguration extends Object implements SAMLArtifactConfiguration, IdentifiableComponent
Concrete class for outbound SAML artifact configuration.

While sufficient for known SAML 1 and 2 artifact types, the class may be extended if necessary to carry type-specific additions.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Integer`
`artifactResolutionIndex`
The artifact resolution index.
`private String`
`artifactResolutionURL`
The artifact resolution URL.
`private byte[]`
`artifactType`
The artifact type code.
`private String`
`id`
Identifier.

## Constructor Summary

Constructors
Constructor
Description
`BasicSAMLArtifactConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getArtifactResolutionServiceIndex()`
Get the index of the issuer's resolution service endpoint, corresponding to its metadata.
`String`
`getArtifactResolutionServiceURL()`
Get the location, as a URL, of the issuer's resolution service endpoint.
`byte[]`
`getArtifactType()`
Get the type code of the artifact to use.
`String`
`getId()`
`void`
`setArtifactResolutionServiceIndex(Integer index)`
Set the index of the issuer's resolution service endpoint, corresponding to its metadata.
`void`
`setArtifactResolutionServiceURL(String url)`
Set the location, as a URL, of the issuer's resolution service endpoint.
`void`
`setArtifactType(Integer type)`
Set the type code of the artifact to use.
`void`
`setId(String componentId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

@Nullable private String id
Identifier.

### artifactType

@Nullable private byte[] artifactType
The artifact type code.

### artifactResolutionURL

@Nullable private String artifactResolutionURL
The artifact resolution URL.

### artifactResolutionIndex

@Nullable private Integer artifactResolutionIndex
The artifact resolution index.

## Constructor Details

### BasicSAMLArtifactConfiguration

public BasicSAMLArtifactConfiguration()

## Method Details

### getId

@Nullable public String getId()

Specified by:
  `getId` in interface `IdentifiedComponent`

### setId

public void setId(@Nonnull String componentId)

Specified by:
  `setId` in interface `IdentifiableComponent`

### getArtifactType

@Nullable public byte[] getArtifactType()
Get the type code of the artifact to use.

Specified by:
  `getArtifactType` in interface `SAMLArtifactConfiguration`
Returns:
  the artifact type code

### setArtifactType

public void setArtifactType(@Nullable Integer type)
Set the type code of the artifact to use.

Parameters:
  `type` - type code of artifact

### getArtifactResolutionServiceURL

@Nullable public String getArtifactResolutionServiceURL()
Get the location, as a URL, of the issuer's resolution service endpoint.

Specified by:
  `getArtifactResolutionServiceURL` in interface `SAMLArtifactConfiguration`
Returns:
  location of resolution service endpoint

### setArtifactResolutionServiceURL

public void setArtifactResolutionServiceURL(@Nullable String url)
Set the location, as a URL, of the issuer's resolution service endpoint.

Parameters:
  `url` - location of the resolution service endpoint

### getArtifactResolutionServiceIndex

@Nullable public Integer getArtifactResolutionServiceIndex()
Get the index of the issuer's resolution service endpoint, corresponding to its metadata.

Specified by:
  `getArtifactResolutionServiceIndex` in interface `SAMLArtifactConfiguration`
Returns:
  index of resolution service endpoint in metadata

### setArtifactResolutionServiceIndex

public void setArtifactResolutionServiceIndex(@Nullable Integer index)
Set the index of the issuer's resolution service endpoint, corresponding to its metadata.

Parameters:
  `index` - index of resolution service endpoint